curl "https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints?model=newton&limit=20" \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
response = requests.get(
"https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints",
headers={"Authorization": f"Bearer {api_key}"},
params={"model": "newton", "limit": 20}
)
print(response.json())
const params = new URLSearchParams({ model: 'newton', limit: '20' });
const response = await fetch(
`https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints?${params}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "list",
"data": [
{
"id": "ckp_...",
"name": "newton/c:2.5.1-8b-base",
"base_model": "newton/c:2.5.1-8b-base",
"step": 1000,
"metrics": {
"loss": 0.123
},
"created_at": 1765201323
}
],
"has_more": false,
"next_cursor": null,
"prev_cursor": null
}
Fine-Tuning Service
List Checkpoint Options
List checkpoints available to warm-start a new fine-tuning job
GET
/
fine_tuning
/
checkpoints
curl "https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints?model=newton&limit=20" \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
response = requests.get(
"https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints",
headers={"Authorization": f"Bearer {api_key}"},
params={"model": "newton", "limit": 20}
)
print(response.json())
const params = new URLSearchParams({ model: 'newton', limit: '20' });
const response = await fetch(
`https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints?${params}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "list",
"data": [
{
"id": "ckp_...",
"name": "newton/c:2.5.1-8b-base",
"base_model": "newton/c:2.5.1-8b-base",
"step": 1000,
"metrics": {
"loss": 0.123
},
"created_at": 1765201323
}
],
"has_more": false,
"next_cursor": null,
"prev_cursor": null
}
Requires version 1.1.5 or later of the Archetype platform.
Overview
Lists checkpoints available to warm-start a new fine-tuning job. This returns the organization’s checkpoints, optionally filtered to a model family. The results are cursor-paginated and are sorted newest first. To list only checkpoints for a specific job, use the List Job Checkpoints endpoint.This endpoint is used by the Fine-Tuning dashboard to build the list of checkpoints from which
to start a job.
Request
string
Filters checkpoints to include only those of the specified model, e.g.
newton. Omit to list all of the org’s checkpoints.string
Forward cursor: return checkpoints older than the one with this ID. Pass the
next_cursor of the previous page. Mutually exclusive with before.string
Backward cursor: return checkpoints newer than the one with this ID. Pass the
prev_cursor of the current page. Mutually exclusive with after.Response
Returns a page of checkpoint options.string
The object type of a list response. Always
list.array
The selectable checkpoint options.
Show FineTuningCheckpointOption
Show FineTuningCheckpointOption
A page of checkpoint options that match the specified options.
string
required
The checkpoint’s identifier. This is the value to submit as
checkpoint_id when using the
Create Job endpoint.string
required
The human-readable registry name.
string
The base model variant the checkpoint was produced from. This is parsed from the registry
name, such as
newton/c:2.5.1-8b-base, and is null if not parseable. A warm-start only loads
cleanly from a checkpoint of the same base.integer
required
Training step at which the checkpoint was produced.
object
required
Structured metrics captured with the checkpoint (e.g. loss). This is useful for ranking options.
integer
required
The Unix timestamp (seconds) at which the checkpoint was produced.
boolean
Whether or not more options exist beyond this page.
string
Cursor to continue in the direction of travel — pass it as
after when paging forward
(the default), or as before when the request used before. null when has_more is
false. v1.1.11+string
Cursor to step back the way this page was reached — pass it as
before after a forward page,
or as after after a backward one. null when the request carried no cursor.curl "https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints?model=newton&limit=20" \
-H "Authorization: Bearer $ATAI_API_KEY"
import requests
import os
api_key = os.environ.get("ATAI_API_KEY")
response = requests.get(
"https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints",
headers={"Authorization": f"Bearer {api_key}"},
params={"model": "newton", "limit": 20}
)
print(response.json())
const params = new URLSearchParams({ model: 'newton', limit: '20' });
const response = await fetch(
`https://api.u1.archetypeai.app/v0.6/fine_tuning/checkpoints?${params}`,
{
headers: {
'Authorization': `Bearer ${process.env.ATAI_API_KEY}`
}
}
);
const data = await response.json();
console.log(data);
{
"object": "list",
"data": [
{
"id": "ckp_...",
"name": "newton/c:2.5.1-8b-base",
"base_model": "newton/c:2.5.1-8b-base",
"step": 1000,
"metrics": {
"loss": 0.123
},
"created_at": 1765201323
}
],
"has_more": false,
"next_cursor": null,
"prev_cursor": null
}
Was this page helpful?